- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
Rendering Functions
Graphics

Rendering functions to draw images, plots etc. More...

## Functions
AFAPI af_err | af_draw_image (const af_window wind, const af_array in, const af_cell *const props)
| C Interface wrapper for drawing an array as an image. More...
AFAPI af_err | af_draw_plot (const af_window wind, const af_array X, const af_array Y, const af_cell *const props)
| C Interface wrapper for drawing an array as a plot. More...
AFAPI af_err | af_draw_hist (const af_window wind, const af_array X, const double minval, const double maxval, const af_cell *const props)
| C Interface wrapper for drawing an array as a histogram. More...

## Detailed Description

Rendering functions to draw images, plots etc.

## Function Documentation

AFAPI af_err af_draw_hist | ( | const af_window | wind,
|  | const af_array | X,
|  | const double | minval,
|  | const double | maxval,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as a histogram.

Parameters

  [in] | wind | is the window handle
  [in] | X | is the data frequency af_array
  [in] | minval | is the value of the minimum data point of the array whose histogram(`X`) is going to be rendered.
  [in] | maxval | is the value of the maximum data point of the array whose histogram(`X`) is going to be rendered.
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `X` should be a vector.

AFAPI af_err af_draw_image | ( | const af_window | wind,
|  | const af_array | in,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as an image.

Parameters

  [in] | wind | is the window handle
  [in] | in | is an af_array
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `in` should be 2d array or 3d array with 3 channels.

AFAPI af_err af_draw_plot | ( | const af_window | wind,
|  | const af_array | X,
|  | const af_array | Y,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as a plot.

Parameters

  [in] | wind | is the window handle
  [in] | X | is an af_array with the x-axis data points
  [in] | Y | is an af_array with the y-axis data points
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `X` and `Y` should be vectors.